View Issue Details

IDProjectCategoryView StatusLast Update
0002916Ham Radio DeluxeMaintenancepublic2018-11-20 11:38
ReporterPD9FER 
Assigned ToK7ZCZ 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.902 
Summary0002916: Change in Security layer for LoTW.
DescriptionARRL has changed the security layer, when trying to download from LoTW it gives a error
This seems to happen on Windows 7 only

Customer comment:
Today (10/15/2018 ~1200 CDT), when I attempted a download of LOTW data using the LOTW download button on HRD Logbook, I got an Error 12175: One or more errors were found in the Secure Sockets Layer(SSL) certificate sent by the server. It further states "check for a WINHTTP_CALLBACK_STATUS_SECURE_FAILURE notification in a status callback function." The error message is cutoff at "For more informati"
Steps To ReproduceRun Logbook from Win 7
Click LoTW Download

 
Additional Informationhttps://groups.io/g/ARRL-LoTW/topic/some_error_all_of_a_sudden/27330598?p=Created,,,20,1,0,0::recentpostdate%2Fsticky,,,20,2,0,27330598&jump=1

https://groups.io/g/ARRL-LoTW/message/29458

This affects a lot of customers, needs immediate action.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleLoTW
Testing Not Tested

Relationships

related to 0002947 assignedPD9FER 1 - Backlog LoTW change in Security Layer (TLS) now also affects Uploads 

Activities

PD9FER

2018-10-16 04:16

viewer  

K7ZCZ

2018-10-17 10:19

manager   ~0006286

Windows 7 doesn't consider newer TLS versions by default. Until a fix is coded and tested, a workaround is available here: https://support.microsoft.com/en-us/help/3140245/update-to-enable-tls-1-1-and-tls-1-2-as-a-default-secure-protocols-in

PD9FER

2018-10-17 11:48

viewer   ~0006287

The suggested workaround did the trick..
I will inform our customers that reported the issue.

Maybe Mike-C can add a extra Newsletter?

K7ZCZ

2018-10-17 15:32

manager   ~0006289

A fix is made with this checkin that seems to work, even without KB3140245 installed.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4370

PD9FER

2018-10-17 15:44

viewer   ~0006291

Mike, this also solves Mantis 0002913

g3ucq

2018-10-19 14:26

viewer   ~0006306

Using Windows 10 so no problem for me.

PD9FER

2018-11-05 12:09

viewer   ~0006382

Fixed for me and the customers who have reported the issue

WA9PIE

2018-11-05 12:15

administrator   ~0006383

Validated by Ferry (the reporter)

Issue History

Date Modified Username Field Change
2018-10-16 04:16 PD9FER New Issue
2018-10-16 04:16 PD9FER File Added: SSL%20ERROR%20HRD%20(1).JPG
2018-10-17 10:19 K7ZCZ Note Added: 0006286
2018-10-17 11:48 PD9FER Note Added: 0006287
2018-10-17 15:32 K7ZCZ Note Added: 0006289
2018-10-17 15:44 PD9FER Note Added: 0006291
2018-10-18 17:03 K7ZCZ Assigned To => K7ZCZ
2018-10-18 17:03 K7ZCZ Status new => resolved
2018-10-18 17:03 K7ZCZ Resolution open => fixed
2018-10-18 17:04 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-10-18 17:09 K7ZCZ Fixed in Version => 6.4.0.896
2018-10-18 17:09 K7ZCZ Description Updated View Revisions
2018-10-18 17:09 K7ZCZ Steps to Reproduce Updated View Revisions
2018-10-18 17:09 K7ZCZ Additional Information Updated View Revisions
2018-10-19 14:26 g3ucq Note Added: 0006306
2018-11-04 07:49 K7ZCZ Fixed in Version 6.4.0.896 => 6.4.0.900
2018-11-05 12:09 PD9FER Note Added: 0006382
2018-11-05 12:15 WA9PIE Status resolved => closed
2018-11-05 12:15 WA9PIE Testing Not Started => Not Tested
2018-11-05 12:15 WA9PIE Note Added: 0006383
2018-11-11 00:34 WA9PIE Fixed in Version 6.4.0.900 => 6.4.0.902
2018-11-11 00:34 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-11-20 11:38 PD9FER Relationship added related to 0002947